Retrieves a list of `FeatureConfig` resources in the specified project.

## Required permissions

To use this method, the authenticated user must have the
`storage.featureConfigs.list` IAM permission.

## Request

### HTTP request

```
GET https://storage.googleapis.com/v2/projects/project/locations/global/featureConfigs
```

### Parameters

| Parameter name | Value | Description |
|---|---|---|
| **Path parameters** |||
| `project` | `string` | The project ID or number for which to list feature configurations. |
| **Query parameters** |||
| `filter` | `string` | *Optional.* A filter expression to apply to the results. Supports filtering by `type`. Example: `type="AUTO_ANNOTATE"`. |
| `orderBy` | `string` | *Optional.* Sort order for the results. |
| `pageSize` | `integer` | *Optional.* Maximum number of results to return in a single response. The service may return fewer than this value. If unspecified, at most 100 results are returned. The maximum value is 100; values above 100 are coerced to 100. |
| `pageToken` | `string` | *Optional.* A page token received from a previous `list` call. Provide this to retrieve the subsequent page. When paginating, all other parameters provided to `list` must match the call that provided the page token. |

### Request body

Do not supply a request body with this method.

## Response

If successful, this method returns a list of
[FeatureConfig resources](https://docs.cloud.google.com/storage/docs/json_api/v1/featureConfigs.md.txt#resource) in the following
structure:

```json
{
  "featureConfigs": [
    FeatureConfig resource
  ],
  "nextPageToken": string
}
```